Subject: Re: [PATCH net-next 0/3] net: ipa: QMI fixes

From: Manivannan Sadhasivam <[email-masked]>
Date: Tue, 16 Mar 2021 22:08:28 +0530

On Tue, Mar 16, 2021 at 11:00:37AM -0500, Alex Elder wrote:
> On 3/15/21 10:25 PM, Manivannan Sadhasivam wrote:
> > On Mon, Mar 15, 2021 at 11:50:15AM -0500, Alex Elder wrote:
> > > On 3/15/21 11:38 AM, Manivannan Sadhasivam wrote:
> > > > Hi Alex,
> > > > 
> > > > On Mon, Mar 15, 2021 at 10:21:09AM -0500, Alex Elder wrote:
> > > > > Mani Sadhasivam discovered some errors in the definitions of some
> > > > > QMI messages used for IPA.  This series addresses those errors,
> > > > > and extends the definition of one message type to include some
> > > > > newly-defined fields.
> > > > > 
> > > > 
> > > > Thanks for the patches. I guess you need to add Fixes tag for patches 1,2 and
> > > > they should be backported to stable.
> > > 
> > > I did not do that, intentionally.  The reason is that the
> > > existing code only supports IPA v3.5.1 and IPAv4.2.  And
> > > these bugs seem to cause no problems there.
> > > 
> > > There are some patches coming very soon that will add
> > > more formal support for IPA v4.5 (where I know you
> > > found these issues).  Those will not be back-ported.
> > > 
> > > So these fixes don't appear to be necessary for existing
> > > supported platforms.
> > > 
> > 
> > Hmm, okay. Then please mention this information in the commit description(s)
> > that the fix is only needed for IPA4.5.
> 
> Mani, you ACKed all three patches after you sent this.
> 
> Are you expecting me to send a new version of the code,
> or are you willing to accept the series as-is?
> 

Are you asking me the question? I can't accept IPA code.

Thanks,
Mani

> Thanks.
> 
> 					-Alex
> 
> > 
> > Thanks,
> > Mani
> > 
> > > If you still believe I should have these back-ported,
> > > I have no objection to re-posting for that.  But I
> > > wanted to explain my reasoning before doing it.
> > > 
> > > --> Do you still think I should have these back-ported?
> > > 
> > > Thanks.
> > > 
> > > 					-Alex
> > > 
> > > > 
> > > > Thanks,
> > > > Mani
> > > > 
> > > > > 					-Alex
> > > > > 
> > > > > Alex Elder (3):
> > > > >     net: ipa: fix a duplicated tlv_type value
> > > > >     net: ipa: fix another QMI message definition
> > > > >     net: ipa: extend the INDICATION_REGISTER request
> > > > > 
> > > > >    drivers/net/ipa/ipa_qmi_msg.c | 78 +++++++++++++++++++++++++++++++----
> > > > >    drivers/net/ipa/ipa_qmi_msg.h |  6 ++-
> > > > >    2 files changed, 74 insertions(+), 10 deletions(-)
> > > > > 
> > > > > -- 
> > > > > 2.27.0
> > > > > 
> > > 
>